*
{
	outline: none;
	margin: 0px;
	padding: 0px;
	text-decoration: none;
	border-radius: 0px;
}

div.settings_menu
{
	background: #dfdfdf;
	padding: 2px;
	z-index: 1;
}

	div.settings_menu.absolute
	{
		position: absolute;
	}

	div.settings_menu.left
	{
		top: 0px;
		left: 0px;
	}

	div.settings_menu.right
	{
		top: 0px;
		right: 0px;
	}
	
	div.settings_menu.invisible
	{
		display: none;
	}
	
	div.settings_menu.transparent
	{
		background: none;
	}
	
		.hover-btn
		{
			font-size: 18px;
			display: inline-block;
			cursor: pointer;
		}

		.popover-btn
		{
			font-size: 20px;
			display: inline-block;
			cursor: pointer;
		}
		
			.popover-btn.red
			{
				color: #de3b40;
			}
			
			.popover-btn.green
			{
				color: #27ae60;
			}
			
			.popover-btn.grey
			{
				color: #777;
			}
			
			.popover-btn.blue
			{
				color: #2980b9;
			}

		i.custom-ctrl
		{
			display: inline-block;
			font-size: 16px;
			background: rgba(255, 255, 255, 0.8);
			border-radius: 24px;
			margin: 2px;
			padding: 5px;
			cursor: pointer;
		}
			
			i.custom-ctrl.red
			{
				color: #de3b40;
			}
			
			i.custom-ctrl.green
			{
				color: #27ae60;
			}
			
			i.custom-ctrl.grey
			{
				color: #777;
			}
			
			i.custom-ctrl.blue
			{
				color: #2980b9;
			}
			
			i.custom-ctrl.amethyst
			{
				color: #9b59b6;
			}
			
			i.custom-ctrl.carrot
			{
				color: #e67e22;
			}
			
			i.custom-ctrl.pink
			{
				color: #e84393;
			}
			
			i.custom-ctrl.ocean
			{
				color: #51969b;
			}
			
			i.custom-ctrl.wet-asphalt
			{
				color: #34495e;
			}
			
			div.button_small:after
			{
				display: inline-block;
				font: normal normal normal 24px/1 "Material Design Icons";
				font-size: inherit;
				text-rendering: auto;
				-webkit-font-smoothing: antialiased;
				-moz-osx-font-smoothing: grayscale;
			}

			div.button_small.add:after
			{
				content: '\F0419';
			}
			
			div.button_small.rec:after
			{
				content: '\F08D5';
			}
			
			div.button_small.del:after
			{
				content: '\F015A';
			}

			div.button_small.import:after
			{
				content: "\F0048";
			}
			
			div.button_small.export:after
			{
				content: "\F0060";
			}

			div.button_small.conf:after
			{
				content: "\F0493";
			}
			
			div.button_small.invise:after
			{
				content: "\F06D0";
			}

			div.button_small.mail:after
			{
				content: "\F02AB";
			}

			div.button_small.print:after
			{
				content: "\F042A";
			}


div#message_box
{
	background: #fff;
	position: fixed;
	align-items: center;
	left: 50%;
	top: 100px;
	margin-left: -125px;
	box-shadow: 0px 0px 20px rgb(0 0 0 / 30%);
	font-size: 14px;
	z-index: 100;
	width: 250px;
	box-sizing: border-box;
	min-height: 50px;
	padding: 10px;
	box-sizing: border-box;
	display: none;
}

div#message_box.accept,
div#message_box.error
{
	padding-left: 65px;
}

	div#message_box:before
	{
		font-family: 'Material Design Icons';
		position: absolute;
		top: 0px;
		left: 0px;
		height: 100%;
		font-size: 30px;
		line-height: 30px;
		color: #fff;
		padding: 10px;
		box-sizing: border-box;
		background: #42311f;
	}

	div#message_box.accept:before
	{
		content: '\F064E';
	}
	
	div#message_box.error:before
	{
		content: '\F0B50';
	}
	
.scrollbar-mini
{
	scrollbar-gutter: auto;
	overflow-y: auto;
}

.scrollbar-mini::-webkit-scrollbar
{
	width: 6px;
}

.scrollbar-mini::-webkit-scrollbar-thumb
{
	background: #777;
	background-clip: padding-box;
	border-left: 2px solid transparent;
	border-right: 2px solid transparent;
	border-top: 10px solid transparent;
	border-bottom: 10px solid transparent;
}
	
table
{
	font-size: 14px;
}

table.form_info
{
	width: 100%;
}

	table.form_info td
	{
		width: 50%;
		vertical-align: top;
	}
	
		div.form-line
		{
			display: table;
			float: left;
			width: 100%;
			border-collapse: collapse;
		}
		
			div.form-cell
			{
				display: table-cell;
				vertical-align: middle;
				padding-right: 2px;
			}
			
			div.form-cell.ten
			{
				width: 10%;
			}
			
			div.form-cell.twenty
			{
				width: 20%;
			}
			
			div.form-cell.quarter
			{
				width: 25%;
			}
			
			div.form-cell.thirty
			{
				width: 30%;
			}
			
			div.form-cell.half
			{
				width: 50%;
			}
			
			div.form-cell:last-child
			{
				padding: 0px;
			}
			
			div.form-cell.control
			{
				width: 34px;
				vertical-align: bottom;
			}
			
				label.form-cell-head-label
				{
					display: block;
					line-height: 24px;
					font-size: 12px;
					font-weight: 600;
					padding: 5px 10px;
					background: #f5f5f5;
				}
				
				label.form-cell-footer-label
				{
					display: block;
					line-height: 24px;
					font-size: 12px;
					font-weight: 600;
					padding: 0px 10px;
					background: #f5f5f5;
				}
			
				.form-btn
				{
					font-size: 20px;
					padding: 7px;
					border: none;
					background: #ddd;
					cursor: pointer;
					float: left;
					transition: 0.2s;
					-o-transition: 0.2s;
					-webkit-transition: 0.2s;
				}
				
				.form-btn:hover
				{
					background: #ccc;
				}
				
				.form-btn:active
				{
					background: #ddd;
				}
				
					.form-btn i
					{
						display: inline-block;
					}
					
					.form-btn.loading i
					{
						-webkit-animation: rotation 1s infinite linear;
					}
	
		div.field-list
		{
			float: left;
			width: 100%;
			margin: 10px 0px;
		}
		
			div.field-list-head
			{
				display: table;
				float: left;
				width: 100%;
				border-collapse: collapse;
				background: #f5f5f5;
			}
			
				div.field-list-cell
				{
					display: table-cell;
					vertical-align: middle;
					padding: 5px 10px;
				}
	
				div.field-list-cell.control
				{
					width: 34px;
					padding: 0px;
				}
				
					div.slider-wrap
					{
						display: table;
						width: 500px;
						margin: 0px 20px;
					}
					
						div.slider-cell
						{
							display: table-cell;
							vertical-align: middle;
						}
						
						div.slider-cell.val
						{
							width: 60px;
							line-height: 20px;
							text-align: right;
						}
	
			div.field-list-body
			{
				float: left;
				width: 100%;
				padding: 20px;
				border: 1px solid #eee;
				border-top: none;
				box-sizing: border-box;
			}
			
				div.field-list-area
				{
					float: left;
					width: 100%;
				}
				
				div.field-list-area.head
				{
					margin-bottom: 1px;
				}
				
				div.field-list-area.footer
				{
					margin-top: 1px;
				}	
	
					div.fileld-line
					{
						display: table;
						float: left;
						width: 100%;
						margin-bottom: 1px;
						border-spacing: 1px 0px;
					}

					div.fileld-line:last-child
					{
						margin: 0px;
					}

						div.fileld-cell
						{
							display: table-cell;
							vertical-align: top;
						}
						
						div.fileld-line.head div.fileld-cell
						{
							vertical-align: middle;
							font-size: 12px;
							font-weight: 700;
							background: #eee;
							padding: 5px 10px;
						}
						
						div.fileld-line.footer div.fileld-cell
						{
							vertical-align: middle;
							font-size: 12px;
							font-weight: 700;
							background: #eee;
							padding: 10px 15px;
							box-sizing: border-box;
						}
						
						div.fileld-line.head div.fileld-cell.control
						{
							padding: 0px;
						}
						
						div.fileld-line.section div.fileld-cell
						{
							vertical-align: middle;
							font-size: 12px;
							font-weight: 700;
							background: #f5f5f5;
							padding: 5px 15px;
						}
						
						div.fileld-line.section div.fileld-cell.control
						{
							padding: 0px;
						}

						div.fileld-cell.quarter-to
						{
							width: 75%;
						}
						
						div.fileld-cell.half
						{
							width: 50%;
						}
						
						div.fileld-cell.third
						{
							width: 33%;
						}
						
						div.fileld-cell.quarter
						{
							width: 25%;
						}
						
						div.fileld-cell.twenty
						{
							width: 20%;
						}
						
						div.fileld-cell.fifteen
						{
							width: 15%;
						}
						
						div.fileld-cell.ten
						{
							width: 10%;
						}
						
						div.fileld-cell.eight
						{
							width: 8%;
						}
						
						div.fileld-cell.five
						{
							width: 5%;
						}
						
						div.fileld-cell.control
						{
							width: 34px;
						}
	
	
	
table.data-table
{
	width: 100%;
	border-spacing: 0px;
}

	table.data-table tr.red
	{
		background: #fff1f1;
	}
	
	table.data-table tr.green
	{
		background: #edffe4;
	}
	
	table.data-table td
	{
		max-width: 300px;
		font-size: 12px;
		line-height: 22px;
		padding: 5px;
		vertical-align: middle;
		text-align: left;
		border-bottom: 1px solid #eee;
	}
	
	table.data-table td.right
	{
		text-align: right;
	}
	
	table.data-table td.text-right
	{
		text-align: right;
	}
	
	table.data-table tr:last-child td
	{
		border: none;
	}
	
	table.data-table tr.data-table-head td
	{
		position: sticky;
		top: 120px;
		font-weight: 600;
		border-bottom: 1px solid #ccc;
		white-space: nowrap;
		background: #fff;
	}

	div.modal-dialog table.data-table tr.data-table-head td
	{
		top: 0px;
	}
	
	table.data-table tr.data-table-foot td
	{
		position: sticky;
		bottom: 0px;
		font-weight: 600;
		border-top: 1px solid #eee;
		border-bottom: none;
		white-space: nowrap;
		background: #fff;
	}
	
	table.data-table tr.data-table-foot td.data-table-label
	{
		text-align: right;
	}

	td.data-table-id
	{
		width: 50px;
	}
	
	td.data-table-img
	{
		width: 40px;
	}
	
		span.data-color
		{
			display: block;
			width: 30px;
			height: 30px;
			border-radius: 30px;
			border: 1px solid #eee;
			box-sizing: border-box;
		}
	
		.table-img
		{
			float: left;
			width: 40px;
			height: 40px;
			border-radius: 40px;
			background-position: center;
			background-repeat: no-repeat;
			background-size: cover;
		}
		
	td.data-table-control
	{
		width: 22px;
	}
	
		i.ctrl-btn
		{
			font-size: 22px;
			display: inherit;
			cursor: pointer;
		}
		
		i.ctrl-btn.small
		{
			font-size: 18px;
		}
		
		i.ctrl-btn.red
		{
			color: #de3b40;
		}
		
		i.ctrl-btn.green
		{
			color: #27ae60;
		}
	
	div.tabs-list
	{
		float: left;
		width: 100%;
		border-bottom: 1px solid #eee;
	}
	
		div.tabs-list .ui-tabs-nav
		{
			float: left;
			border: none;
		}
		
		i.tabs-ctrl
		{
			float: left;
			font-size: 20px;
			margin: 7px 0px 5px;
			cursor: pointer;
		}
		
		span.tab-label
		{
			float: left;
			line-height: 16px;
		}
		
	div.tabs-content
	{
		float: left;
		width: 100%;
	}

	div.table-overflow
	{
		float: left;
		width: 100%;
		overflow: hidden;
		overflow-x: auto;
	}
	
	input
	{
		border: 1px solid #ddd;
		background: #fafafa;
		padding: 0px 5px;
		width: 100%;
		height: 34px;
		font-size: 14px;
		transition: 0.2s;
		-o-transition: 0.2s;
		-webkit-transition: 0.2s;
	}
	
	div.input-file-wrap
	{
		position: relative;
	}
	
	span.load-progress
	{
		position: absolute;
		height: 1px;
		background: #42311f;
		left: 0px;
		top: -1px;
		width: 0%;
		transition: 0.2s;
		-o-transition: 0.2s;
		-webkit-transition: 0.2s;
	}
	
	input[type=file]
	{
		padding: 0px;
	}
	
	input[type=file]::-webkit-file-upload-button
	{
		line-height: 28px;
		background: none;
		border: none;
		outline: none;
	}
	
	
	div.radio-wrap
	{
		float: left;
		width: 100%;
	}
	
	label.field-label
	{
		display: block;
		line-height: 24px;
		font-size: 14px;
		font-weight: 600;
	}
	
		label.field-label span
		{
			font-weight: 400;
		}
		
		label.field-label span.bold
		{
			font-weight: 800;
		}
		
		label.field-label span.red
		{
			color: #f00;
		}
		
		label.field-label span.green
		{
			color: #27ae60;
		}
		
		label.field-label span.blue
		{
			color: #0089ff;
		}
	
	label.radio-field
	{
		float: left;
		line-height: 24px;
		margin-right: 10px;
	}
	
		label.radio-field input
		{
			display: none;
		}
		
		label.radio-field i
		{
			float: left;
			font-size: 20px;
			margin: 2px 0px;
		}
		
		label.radio-field span.radio-title
		{
			float: left;
			margin-left: 5px;
		}
		
	label.radio-btn
	{
		line-height: 24px;
		float: left;
		clear: both;
	}
	
		label.radio-btn input
		{
			display: none;
		}
		
		label.radio-btn i
		{
			float: left;
			font-size: 20px;
			margin: 2px 0px;
		}
		
		label.radio-btn span.radio-title
		{
			float: left;
			margin-left: 5px;
		}
		
		
	div.check-wrap
	{
		float: left;
		width: 100%;
	}
	
		label.check-field
		{
			float: left;
			line-height: 24px;
		}
		
			label.check-field input
			{
				display: none;
			}
			
			label.check-field i
			{
				float: left;
				font-size: 20px;
				margin: 2px 0px;
			}
			
			label.check-field i.form-btn
			{
				margin: 0px;
			}
			
			label.check-field i.disabled
			{
				opacity: 0.4;
			}
			
			label.check-field span.check-title
			{
				float: left;
				margin-left: 5px;
			}
	
	label.image-label
	{
		display: table;
	}
	
		div.label-cell
		{
			display: table-cell;
			vertical-align: middle;
		}
	
			label.image-label input
			{
				margin-right: 5px;
			}
			
			label.image-label span.label-cell-img
			{
				width: 30px;
				height: 30px;
				float: left;
				display: block;
				margin: 0px 5px;
				background-position: center;
				background-repeat: no-repeat;
				background-size: contain;
			}
			

		input[type=radio]
		{
			width: 14px;
			height: 14px;
			float: left;
			margin: 0px 5px 0px 0px;
		}
	
	select
	{
		border: 1px solid #ddd;
		background: #fafafa;
		width: 100%;
		height: 34px;
		font-size: 14px;
		padding: 0px 5px;
		transition: 0.2s;
		-o-transition: 0.2s;
		-webkit-transition: 0.2s;
	}
	
	textarea
	{
		border: 1px solid #ddd;
		background: #fafafa;
		width: 100%;
		height: 200px;
		font-size: 14px;
		padding: 10px;
		resize: none;
		transition: 0.2s;
		-o-transition: 0.2s;
		-webkit-transition: 0.2s;
	}
	
	div.star-line
	{
		display: flex;
		justify-content: space-evenly;
		width: 100%;
		margin: 10px auto;
	}
	
		i.star-item
		{
			font-size: 30px;
			color: #aaa;
			cursor: pointer;
			transition: 0.2s;
			-o-transition: 0.2s;
			-webkit-transition: 0.2s;
		}
		
		i.star-item.hover
		{
			color: #f7ca18;
		}
		
		i.star-item.active
		{
			color: #f7ca18;
		}
	
	input.error,
	select.error,
	textarea.error
	{
		border: 1px solid #f26d4f;
		background: #f1c9c0;
	}
	
	input[type="hidden"][data-type="mark"].error ~ div.star-line i.star-item
	{
		color: #f26d4f;
	}
	
	input[type="hidden"][data-type="mark"].error ~ div.star-line i.star-item.hover
	{
		color: #f7ca18;
	}
	
	input[type="hidden"][data-type="mark"].error ~ div.star-line i.star-item.active
	{
		color: #f7ca18;
	}
	
	.field-toggle
	{
		display: none;
	}
	
	.field-toggle.active
	{
		display: block;
	}
	
	div.field-separator
	{
		float: left;
		width: 100%;
		margin: 5px 0px;
	}
	
	div.field-line
	{
		display: table;
		width: 100%;
	}
	
		div.field-cell
		{
			display: table-cell;
			vertical-align: bottom;
			padding-right: 2px;
		}
		
		div.field-cell.half
		{
			width: 50%;
		}
		
		div.field-cell:last-child
		{
			padding: 0px;
		}

	div.control-list
	{
		display: flex;
		float: right;
	}

		div.control-cell
		{
			display: flex;
			align-items: center;
			margin-right: 1px;
		}
		
		div.control-cell.group
		{
			margin-right: 10px;
		}
		
		div.control-cell:last-child
		{
			margin: 0px;
		}

	form.filter-header
	{
		position: relative;
		float: left;
		width: 100%;
		display: table;
		margin-bottom: 10px;
	}

		div.filter-line
		{
			display: table;
			float: right;
			margin-bottom: 1px;
		}
		
		div.filter-line:last-child
		{
			margin: 0px;
		}
		
			div.filter-cell
			{
				border-left: 1px solid transparent;
				display: table-cell;
				vertical-align: top;
			}
			
			div.filter-cell:first-child
			{
				border: none;
			}
			
			div.filter-cell.ctrl
			{
				width: 34px;
			}
			
				.page-ctrl-btn
				{
					position: relative;
					font-size: 16px;
					padding: 9px;
					margin-right: 1px;
					border-radius: 3px;
					display: inherit;
					cursor: pointer;
					background: #42311f;
					color: #fff;
					transition: 0.2s;
					-o-transition: 0.2s;
					-webkit-transition: 0.2s;
				}
				
				.page-ctrl-btn:last-child
				{
					margin: 0pc;
				}
				
				.page-ctrl-btn:hover
				{
					background: #60482d;
				}
				
				.page-ctrl-btn:active
				{
					background: #42311f;
				}
				
				.catalog-ctrl-btn
				{
					position: relative;
					font-size: 16px;
					padding: 17px 5px;
					border-right: 1px solid #f5f5f5;
					display: inherit;
					cursor: pointer;
					background: #42311f;
					color: #fff;
					transition: 0.2s;
					-o-transition: 0.2s;
					-webkit-transition: 0.2s;
				}
				
				.catalog-ctrl-btn:last-child
				{
					border: none;
				}
				
				.catalog-ctrl-btn:hover
				{
					background: #60482d;
				}
				
				.catalog-ctrl-btn:active
				{
					background: #42311f;
				}
				
				span.label-red
				{
					color: #42311f;
					border: 1px solid #42311f;
					border-radius: 3px;
					padding: 0px 10px;
				}
			
	ul.dropdown-menu.form
	{
		width: 100%;
		max-height: 250px;
		overflow-y: auto;
		border-radius: 0px;
		margin: 0px;
	}

		ul.dropdown-menu.form li
		{
			float: left;
			width: 100%;
			border-bottom: 1px solid #eee;
		}
		
		ul.dropdown-menu.form li:hover
		{
			background: #f5f5f5;
		}
		
		ul.dropdown-menu.form li:last-child
		{
			border: none;
		}
		
			div.drop-list-wrap
			{
				display: table;
				float: left;
				width: 100%;
				border-collapse: collapse;
			}
			
				div.drop-list-cell
				{
					display: table-cell;
					vertical-align: middle;
				}
				
				div.drop-list-cell.control
				{
					width: 20px;
					padding: 0px 10px;
				}
				
					i.list-btn
					{
						font-size: 20px;
						display: inherit;
						cursor: pointer;
					}
	
		label.dropdown-item-label
		{
			display: table;
			width: 100%;
		}
		
			div.dropdown-cell
			{
				display: table-cell;
				vertical-align: top;
				word-break: break-word;
				padding: 10px;
			}
			
			div.dropdown-cell.checkbox-icon
			{
				width: 20px;
				padding: 10px 0px 10px 10px;
			}
			
				input.dropdown-item
				{
					display: none;
				}
				
				div.dropdown-cell i
				{
					font-size: 20px;
					float: left;
				}
				
				span.dropdown-title
				{
					float: left;
					font-size: 14px;
					line-height: 20px;
				}
				
			div.dropdown-cell.img
			{
				width: 30px;
				padding: 5px 0px 5px 10px;
			}
			
				span.dropdown-img
				{
					display: block;
					width: 30px;
					height: 30px;
					border: 1px solid #42311f;
					border-radius: 30px;
					box-sizing: border-box;
					background-position: center;
					background-repeat: no-repeat;
					background-size: cover;
				}		
		
	div.tree-list-wrap
	{
		width: 500px;
		margin: 10px auto;
	}
	
		div.list-head
		{
			display: table;
			width: 100%;
			border-bottom: 1px solid #bbb;
		}

		ul.tree-list
		{
			float: left;
			width: 100%;
		}

			ul.tree-list li
			{
				display: block;
				list-style-type: none;
				clear: both;
			}
			
			ul.tree-list.body li
			{
				margin: 5px 0px;
			}
			
			li.list-highlight
			{
				border: 1px dashed #ccc;
				box-sizing: border-box;
			}
			
				div.list-line
				{
					display: table;
					width: 100%;
				}
				
				ul.tree-list.body div.list-line
				{
					background: #eee;
				}
				
					div.list-cell
					{
						display: table-cell;
						vertical-align: middle;
						padding: 5px 10px;
						font-size: 14px;
					}
					
					div.list-cell.control
					{
						width: 22px;
					}
					
						ul.tree-list.body li ul
						{
							padding: 0px 10px;
							border: 1px dotted #ddd;
							border-top: 1px solid transparent;
							box-sizing: border-box;
							min-height: 32px;
						}

							ul.tree-list.body li ul li
							{
								margin-left: 30px;
							}
		
		
	div.color-wrap
	{
		position: relative;
		display: flex;
		float: left;
		width: 100%;
	}
	
		div.color-wrap i
		{
			margin-left: 2px;
		}
		
		
div.clear
{
	clear: both;
}

tr.ui-sortable-helper
{
	display: table;
}

span.modal-icon
{
	float: left;
    font-size: 20px;
    margin-right: 5px;
    color: #000;
}

iframe.print-frame
{
	width: 100%;
	height: 1200px;
	border: none;
}

@-webkit-keyframes zoom
{
    0%
	{
		transform: scale(1);
	}
	
    50%
	{
		transform: scale(1.2);
	}
	
	100%
	{
		transform: scale(1);
	}
}

@-webkit-keyframes rotation
{
    from
	{
		-webkit-transform: rotate(0deg);
	}
	
    to 
	{
		-webkit-transform: rotate(359deg);
	}
}

@keyframes manimate_before
{
	0%
	{
		transform: scale(1);
		opacity: 0;
	}
	
	35%
	{
		transform: scale(1.5);
		opacity: 1;
	}
	
	100%
	{
		transform: scale(2);
		opacity: 0;
	}
}

@keyframes manimate_after
{
	0%
	{
		transform: scale(1);
		opacity: 0;
	}
	
	35%
	{
		opacity: 1;
		transform: scale(1.5);

	}
	
	100%
	{
		opacity: 0;
		transform: scale(1);
	}
}

@keyframes manimate
{
	0%
	{
		transform: scale(1);
		opacity: 0;
	}
	
	30%
	{
		border-width: 10px;
	}
	
	50%
	{
		transform: scale(1.5);
		opacity: 1;
	}
	
	100%
	{
		transform: scale(2);
		opacity: 0;
	}
}
